<?php

declare(strict_types=1);

namespace App\Job;

use App\Utils\LogUtil;
use Hyperf\AsyncQueue\Job;

class DemoJob extends Job
{
    //日志板块
    private const LOG_MODULE = 'DemoJob';

    public $params;

    /**
     * 任务执行失败后的重试次数，即最大执行次数为 $maxAttempts+1 次
     */
    protected int $maxAttempts = 2;

    public function __construct($params)
    {
        // 这里最好是普通数据，不要使用携带 IO 的对象，比如 PDO 对象
        $this->params = $params;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        //日志统一写入
        LogUtil::getInstance('Queues/');//设置日志存入通道
        LogUtil::info('开始处理', self::LOG_MODULE, __FUNCTION__, ['params' => $this->params]);
        // 根据参数处理具体逻辑
        // 通过具体参数获取模型等
        // 这里的逻辑会在 ConsumerProcess 进程中执行
//        var_dump($this->params);
        LogUtil::info('处理结果', self::LOG_MODULE, __FUNCTION__);
        LogUtil::close();
    }
}