<?php

declare(strict_types=1);

namespace App\Model\Arts;

use App\Master\Enum\RedisKeyEnum;
use App\Model\Model;
use App\Utils\RedisUtil;
use Hyperf\DbConnection\Db;

class UserMoneyLogModel extends Model
{
    /**
     * The table associated with the model.
     *
     * @var ?string
     */
    protected ?string $table = 'user_money_log';

    protected ?string $dateFormat = 'U';
    public bool       $timestamps = false;

    protected int $is_status_search = 0;// 是否使用 1=是 0=否 默认使用 status = 1 筛选
    protected int $is_delete_search = 0;// 是否使用 1=是 0=否 默认使用 is_delete = 0 筛选

    /**
     * 默认查询字段
     *
     * @var array|string[]
     */
    public array $select = [
        '*'
    ];

    public function searchUserIdAttribute($query, $value, array $params): mixed
    {
        if (!isset($value)) {
            return $query;
        }
        return $query->where('user_id', $value);
    }

    public function searchTypeAttribute($query, $value, array $params): mixed
    {
        if (!isset($value)) {
            return $query;
        }
        return $query->where('type', $value);
    }

    public function searchTypeInAttribute($query, $value, array $params): mixed
    {
        if (!isset($value)) {
            return $query;
        }
        return $query->whereIn('type', $value);
    }

    public function dataCreateTimeAttribute($value,$params)
    {
        if (empty($value)){
            return '---';
        }
        return date('Y-m-d H:i:s',$value);
    }
}
