<?php

declare(strict_types=1);

namespace App\Task;

use App\Utils\LogUtil;
use Hyperf\Crontab\Annotation\Crontab;

#[Crontab(rule: "*/5 * * * * *", name: "DemoTask", callback: "execute", memo: "定时任务示例 每5秒执行一次", enable: false)]
class DemoTask{
    //日志板块
    private const LOG_MODULE = 'DemoTask';

    public function execute(): bool
    {
        //日志统一写入
        LogUtil::getInstance('Task/');//设置日志存入通道
        LogUtil::info('开始处理', self::LOG_MODULE, __FUNCTION__);
        LogUtil::close();
        return true;
    }
}